database_api.list_savings_withdrawals
since HF14
Purpose
저축 인출 (savings withdraw) 목록을 반환합니다. 파라미터: start:object, limit:int, order:string
limit는 최대 1000입니다.order는 다음 중 하나:by_from_id- id 순start는account,request_id두 값으로 이루어진 배열입니다
by_complete_from_id- id(완료) 순start는timestamp,account,request_id세 값으로 이루어진 배열입니다
by_to_complete- 완료 순start는account,timestamp,order_id세 값으로 이루어진 배열입니다
start (object) | limit (int) | order (string) | |
|---|---|---|---|
[0] | 10 | "by_from_id" | id의 저축 인출을 조회합니다. |
["2018-12-07T16:54:03", "steemit", 0] | 10 | "by_complete_from_id" | id의 저축 인출(완료)을 조회합니다. |
["", "1970-01-01T00:00:00", 0] | 10 | "by_to_complete" | 완료된 저축 인출을 조회합니다. |
함께 보기: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_savings_withdrawals",
"params": {
"start": [
0
],
"limit": 10,
"order": "by_from_id"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_savings_withdrawals",
"params": {
"start": [
"2018-12-07T16:54:03",
"steemit",
0
],
"limit": 10,
"order": "by_complete_from_id"
},
"id": 1
}'Example 3
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_savings_withdrawals",
"params": {
"start": [
"",
"1970-01-01T00:00:00",
0
],
"limit": 10,
"order": "by_to_complete"
},
"id": 1
}'Response
RESPONSE
json
{
"withdrawals": [
{
"id": 120083,
"from": "adafnnys",
"to": "adafnnys",
"memo": "",
"request_id": 1543942411,
"amount": {
"amount": "2413",
"precision": 3,
"nai": "@@000000013"
},
"complete": "2018-12-07T16:54:03"
}
]
}